<template>
  <button
    :type="type"
    class="
      inline-flex
      items-center
      px-4
      py-2
      bg-gray-800
      border border-transparent
      rounded-md
      font-semibold
      text-xs text-white
      uppercase
      tracking-widest
      hover:bg-gray-700
      active:bg-gray-900
      focus:outline-none
      focus:border-gray-900
      focus:shadow-outline-gray
      transition
      ease-in-out
      duration-150
    "
  >
    <div v-if="loading" class="flex justify-center items-center">
      <div
        class="
          animate-spin
          rounded-full
          animate-spin
          h-5
          w-5
          mr-3
          border-t-2 border-b-2 border-red-500
        "
      ></div>
    </div>

    <slot />
  </button>
</template>

<script>
export default {
  props: {
    type: {
      type: String,
      default: "submit",
    },
    loading: Boolean,
  },
};
</script>
